1

[alpine-aports] [PATCH] testing/py3-you-get: new aport

Ivan Tham
Details
Message ID
<20170222170710.1907-1-pickfire@riseup.net>
Sender timestamp
1487783230
DKIM signature
missing
Download raw message
Patch: +27 -0
https://you-get.org/
Tiny command line utility to download media contents
---
 testing/py3-you-get/APKBUILD | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)
 create mode 100644 testing/py3-you-get/APKBUILD

diff --git a/testing/py3-you-get/APKBUILD b/testing/py3-you-get/APKBUILD
new file mode 100644
index 0000000000..d26b011532
--- /dev/null
+++ b/testing/py3-you-get/APKBUILD
@@ -0,0 +1,27 @@
+# Contributor: Ivan Tham <pickfire@riseup.net>
+# Maintainer: Ivan Tham <pickfire@riseup.net>
+pkgname=py3-you-get
+_pkgname=you-get
+pkgver=0.4.652
+pkgrel=0
+pkgdesc="Tiny command line utility to download media contents"
+url="https://you-get.org/"
+arch="noarch"
+license="MIT"
+depends="python3"
+makedepends="python3-dev"
+subpackages=""
+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+builddir="$srcdir/"$_pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	python3 setup.py build || return 1
+}
+
+package() {
+	cd "$builddir"
+	python3 setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+sha512sums="b3c736915492d9d921ec6866edb35acb12b5fb283663db8ad3d87325d06354697196ffdffef13291a709bd8bf5b5db6a61ee6288c083f0939d6ac8637b014ab4  you-get-0.4.652.tar.gz"
-- 
2.11.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Ivan Tham
Details
Message ID
<20170222170828.GA29856@riseup.net>
In-Reply-To
<20170222170710.1907-1-pickfire@riseup.net> (view parent)
Sender timestamp
1487783308
DKIM signature
missing
Download raw message
Ops, sorry. I should have rename the package to `you-get`.

On Thu, Feb 23, 2017 at 01:07:10AM +0800, Ivan Tham wrote:
>https://you-get.org/
>Tiny command line utility to download media contents
>---
> testing/py3-you-get/APKBUILD | 27 +++++++++++++++++++++++++++
> 1 file changed, 27 insertions(+)
> create mode 100644 testing/py3-you-get/APKBUILD
>
>diff --git a/testing/py3-you-get/APKBUILD b/testing/py3-you-get/APKBUILD
>new file mode 100644
>index 0000000000..d26b011532
>--- /dev/null
>+++ b/testing/py3-you-get/APKBUILD
>@@ -0,0 +1,27 @@
>+# Contributor: Ivan Tham <pickfire@riseup.net>
>+# Maintainer: Ivan Tham <pickfire@riseup.net>
>+pkgname=py3-you-get
>+_pkgname=you-get
>+pkgver=0.4.652
>+pkgrel=0
>+pkgdesc="Tiny command line utility to download media contents"
>+url="https://you-get.org/"
>+arch="noarch"
>+license="MIT"
>+depends="python3"
>+makedepends="python3-dev"
>+subpackages=""
>+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
>+builddir="$srcdir/"$_pkgname-$pkgver
>+
>+build() {
>+	cd "$builddir"
>+	python3 setup.py build || return 1
>+}
>+
>+package() {
>+	cd "$builddir"
>+	python3 setup.py install --prefix=/usr --root="$pkgdir" || return 1
>+}
>+
>+sha512sums="b3c736915492d9d921ec6866edb35acb12b5fb283663db8ad3d87325d06354697196ffdffef13291a709bd8bf5b5db6a61ee6288c083f0939d6ac8637b014ab4  you-get-0.4.652.tar.gz"
>-- 
>2.11.1
>
>
>
>---
>Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
>Help:         alpine-aports+help@lists.alpinelinux.org
>---
>


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---